"""
Common Constants for substitution matrices
"""

RESIDUE_ORDER = [
  "A", "R", "N", "D", "C",
  "Q", "E", "G", "H", "I",
  "L", "K", "M", "F", "P",
  "S", "T", "W", "Y", "V"
]
"""Residue order in substitution matrices"""

RESIDUE_ORDER_MAP = {
  "A": 0,
  "R": 1,
  "N": 2,
  "D": 3,
  "C": 4,
  "Q": 5,
  "E": 6,
  "G": 7,
  "H": 8,
  "I": 9,
  "L": 10,
  "K": 11,
  "M": 12,
  "F": 13,
  "P": 14,
  "S": 15,
  "T": 16,
  "W": 17,
  "Y": 18,
  "V": 19
}
"""
Maps aminoacids to a index indicating the position order in the substitution
matrices
"""
